<template>
  <ObModal
    ref="modal"
    title="ЭТП ГП"
    size="md"
  >
    <ob-form
      ref="formDraftError"
      class="order-event-form"
      :form-data="dataSource"
      :is-read-only="true"
    >
      <div class="row">
        <div class="col-xs-6">
          <ObDatePickerConstructor
            :value="dataSource && dataSource.occurredAt"
            label="Дата и время создания"
            :is-time="true"
            :readonly="true"
          />
        </div>
        <div class="col-xs-6">
          <ObInput
            label="Инициатор события"
            :value="dataSource.authorTitle || (dataSource.creatorType === 'TRACKING' ? 'Трекинг' : 'Системное')"
            :readonly="true"
          />
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <ObTextarea
            :value="dataSource && dataSource.description"
            label="Описание"
            placeholder="Добавьте описание"
            :readonly="true"
          />
        </div>
      </div>

    <template v-if="currentFiles">
      <div class="title">Прикрепленные файлы</div>
      <ObUploader
        ref="uploader"
        multiple
        :value="currentFiles"
        data-qa="uploader"
        :is-read-only="true"
      />
    </template>

    </ob-form>

  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'
import ObForm from 'common-components/src/obComponents/obForm'
import ObTextarea from 'common-components/src/obComponents/obTextarea'
import ObUploader from 'common-components/src/obComponents/obUploader'
import ObDatePickerConstructor from 'common-components/src/obComponents/obDatePickerConstructor'
import ObInput from 'common-components/src/obComponents/obInput'


export default {
  name: 'orderEventModalError',
  components: {
    ObModal,
    ObForm,
    ObTextarea,
    ObUploader,
    ObDatePickerConstructor,
    ObInput
  },
  props: {
    dataSource: {
      type: Object,
      require: true
    },
  },
  data () {
    return {
      formData: {},
      modalSize: 'md',
      isLoading: false,
      copyFormData: {},
    }
  },
  methods: {
    open () {
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    }
  },
  computed: {
    currentFiles() {
      if (!this.dataSource.fileUuids || !this.dataSource.fileUuids.length) return

      return this.dataSource.fileUuids.map(file => {
        return {
          uuid: file.fileUuid,
          file: {
            name: file.fileName
          },
          isUploaded: true
        }
      })
    },
  }
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.order-event-form {
  &::v-deep {
    .row {
      margin-top: 20px;
      margin-bottom: 20px;
    }
    .title, .group-title {
      margin-top: 30px;
      margin-bottom: 15px;
      @include font-mixin(16px, 24px, 600, $color-text-base , 0.4px);
    }
  }
  .mb30 {
    margin-bottom: 30px!important;
  }
  .mt20 {
    margin-top: 20px!important;
  }
  .cols {
    display: flex;
    justify-content: space-between;
    .col-left {
      width: 580px;
    }
    .col-right {
      position: relative;
      width: 620px;
      padding: 0 20px;
      margin-left: 20px;
      margin-right: 20px;
      &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: calc(100% + 20px);
        border: 1px dashed $gray-window;
        border-radius: 3px;
        pointer-events: none;
      }
      .pencil {
        position: absolute;
        top: -12px;
        right: -12px;
        display: flex;
        width: 24px;
        height: 24px;
        justify-content: center;
        align-items: center;
        border: 1px dashed $gray-window;
        border-radius: 50%;
        background-color: #fff;
        .icon {
          color: $gray-window;
          font-size: 14px;
        }
      }
    }
  }

  .notification-block {
    display: flex;
    margin-bottom: 30px;
    padding: 20px 48px 20px 18px;
    border-left: 6px solid $Green-700;
    box-shadow: 0 4px 20px rgba(25, 30, 50, 0.2);
    & > i {
      margin-right: 20px;
      font-size: 24px;
      color: $Green-700;
    }
    &__content {
      padding-top: 2px;
      @include font-mixin(14px, 18px, 400);
    }
  }

  .notifyIn-enter {
    opacity: 0;
  }

  .notifyIn-enter-active {
    transition: opacity .3s ease-in-out;
  }
}
</style>
